﻿ <%@ Page Language="C#" AutoEventWireup="true"  CodeBehind="TreeGridDefault.aspx.cs" Inherits="TreeGridSample.TreeGridDefault" %>

<%@ Register TagPrefix="ej" Namespace="Syncfusion.JavaScript.Models" Assembly="Syncfusion.EJ" %>
<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Treegrid Sample</title>

    <script src="Scripts/Treegrid/jquery-1.10.2.min.js"></script>
    <script src="Scripts/Treegrid/jquery.globalize.min.js"></script>
    <script src="Scripts/Treegrid/jquery.easing.1.3.min.js"></script>
    <script src="Scripts/Treegrid/jsrender.min.js"></script>
    <script src="Scripts/Treegrid/ej.web.all.min.js"></script>
    <link href="Content/Treegrid/ej.widgets.core.min.css" rel="stylesheet" />
    <link href="Content/Treegrid/ej.theme.min.css" rel="stylesheet" />   

    <script>
        $(document).ready(function () {
            $(window).resize(function () {
                var treegridObj = $("#Treegrid").data("ejTreeGrid");

                for (var i = 2; i < treegridObj.model.columns.length; i++) {
                    treegridObj.model.columns[i].width = 10;
                    treegridObj._columnsWidthCollection[i] = 10;
                }

                treegridObj.setWidthToColumns();

            });
        });
    </script>
   
</head>
   
<body>
    
    <form id="form1" runat="server" onsubmit="return false" style="overflow: hidden; padding:0; margin: 0;height:100%;width:100%;">
    
        <ej:treegrid ID="Treegrid" runat="server"  AllowColumnResize="true" 
            AllowSorting="true" ChildMapping="Children" EnableResize="true" EnableVirtualization="true" AllowDragAndDrop="true"
            TreeColumnIndex="1" load="onLoad" DateFormat="hh:mm:ss tt" QueryCellInfo="querycellinfo">
            <Columns>              
                  <ej:treegridcolumn HeaderText="Task Id" Field="Id" Width="40" />
                <ej:treegridcolumn HeaderText="Task Name" Field="Name" />
                <ej:treegridcolumn HeaderText="StartDateTime" Field="StartDate" />
                <ej:treegridcolumn HeaderText="EndDateTime" Field="EndDate"/>
                <ej:treegridcolumn HeaderText="Progress" Field="PercentDone"/>
            </Columns>
            <DragTooltip ShowTooltip="true" />
            <ToolbarSettings ShowToolbar="true" ToolbarItems="add,edit,delete,update,cancel,expandAll,collapseAll" />
             <ContextMenuSettings ShowContextMenu="true"
                ContextMenuItems="add,edit,delete" />
            <EditSettings AllowEditing="true" EditMode="CellEditing" />
            <SizeSettings Width="100%" Height="500px" />
        </ej:treegrid> 
         
  </form>       
  
    
</body>
</html>

